CVE-2020-8167

A CSRF vulnerability exists in rails <= 6.0.3 rails-ujs module that could allow attackers to send CSRF tokens to wrong domains.
References
Link Resource
https://hackerone.com/reports/189878 Exploit Third Party Advisory
https://groups.google.com/g/rubyonrails-security/c/x9DixQDG9a0 Mailing List Patch Third Party Advisory
https://www.debian.org/security/2020/dsa-4766 Third Party Advisory
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:rubyonrails:rails:*:*:*:*:*:*:*:*
cpe:2.3:a:rubyonrails:rails:*:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

Information

Published : 2020-06-19 18:15

Updated : 2021-10-21 14:35


NVD link : CVE-2020-8167

Mitre link : CVE-2020-8167


JSON object : View

Products Affected

rubyonrails

  • rails

debian

  • debian_linux
CWE
CWE-352

Cross-Site Request Forgery (CSRF)